org.apache.tomcat.util.http.parser

## Class AcceptLanguage

- java.lang.Object
- - org.apache.tomcat.util.http.parser.AcceptLanguage

-     public class AcceptLanguage
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AcceptLanguage(Locale locale, double quality)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Locale` | `getLocale()`
    `double` | `getQuality()`
    `static List<AcceptLanguage>` | `parse(StringReader input)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptLanguage

          protected AcceptLanguage(Locale locale,
                        double quality)

  - ### Method Detail

    - #### getLocale

          public Locale getLocale()

    - #### getQuality

          public double getQuality()

    - #### parse

          public static List<AcceptLanguage> parse(StringReader input)
                                            throws IOException

      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.